Amarok 2.1 non si aggiorna e non si installa

20 risposte [Ultimo messaggio]
Ritratto di alex23
alex23
(Guru)
Offline
Guru
Iscritto: 24/09/2008
Messaggi: 514

È più di una settimana che tra gli aggiornamenti compare Amarok 2.1 del mib, ma contemporaneamente mcc dice impossibile installare i pacchetti.
Per evitare di vedermi questo messaggio ogni volta che c'è un aggiornamento nuovo, ho deciso di aggiornare Amarok dalla 2.0.2 del repository ufficiale con la 2.1 del mib manualmente, cosa che avevo già fatto con successo per altri programmi.

Transazione fallita!
Allora disinstallo Amarok 2.0.2 e tento l'installazione exnovo del 2.1 mib.

Transazione fallita!
Allora cerco di reinstallare la 2.0.2.

Transazione fallita perchè i pacchetti entrano in conflitto con mscore!
Ma se prima convivevano benissimo insieme!

Dubbio Amletico: uso Dragon Player o rinuncio a scrivere musica?

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Ehm, questo genere di problemi vedi di risolverli con quelli di MIB, noi non possiamo farci un ostrega.

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di re_net
re_net
(Monster)
Offline
Monster
Iscritto: 28/07/2007
Messaggi: 301

Prova con:
urpmi amarok

a me ha funzionato.

ciao
renato

[mannaggia]

pareva che funzionasse Sad

Amarok could not find any collection plugins. Amarok is now updating the KDE configuration database. Please wait a couple of minutes, then restart Amarok.

f this does not help, it is likely that Amarok is installed under the wrong prefix, please fix your installation using:
$ cd /path/to/amarok/source-code/
$ su -c "make uninstall"
$ ./configure --prefix=`kde-config --prefix` && su -c "make install"
$ kbuildsycoca4 --noincremental
$ amarok
More information can be found in the README file. For further assistance join us at #amarok on irc.freenode.net.

provo a disinstallare e a reinstallare

[/mannaggia]

Mandriva 2010.1 FREE su HP 8510P - 2 Giga RAM - Core 2 Duo T8100 - ATI Mobility Radeon HD 2600

Ritratto di re_net
re_net
(Monster)
Offline
Monster
Iscritto: 28/07/2007
Messaggi: 301

Niente da fare ... ho dovuto rimuovere i repo MIB disinstallare e reinstallare.

adesso ho la 2.02 funzionante.

ciao
renato

Mandriva 2010.1 FREE su HP 8510P - 2 Giga RAM - Core 2 Duo T8100 - ATI Mobility Radeon HD 2600

Ritratto di Manfranco
Manfranco
(Geek)
Offline
Geek
Iscritto: 18/04/2008
Messaggi: 76

Quote:

re_net ha scritto:
Niente da fare ... ho dovuto rimuovere i repo MIB disinstallare e reinstallare.

adesso ho la 2.02 funzionante.

ciao
renato

Ciao,
se vuoi riprovare ad installare la 2.1 di Amarok ti descrivo quanto ho fatto io.

Premesso che, non so per quale motivo, quando cerchi di installare Amarok direttamente dagli aggiornamenti proposti, la cosa non funziona perchè non si porta dietro alcune dipendenze, riabilita i repo Mib ed installa Amarok dal "Centro di controllo".

A installazione completata, verifica da "Installa e rimuovi software" (fai una ricerca con la stringa "amarok") che siano installati soltanto questi moduli della versione 2.1:

- Amarok
- amarok-scripts
- amarok-utils
- libamaroklib1
- libamarokpud1

Disinstalla, eventualmente, il resto (è molto probabile che troverai una libreria della versione 2.02 ancora installata).

Così funziona tutto.

franco

Ritratto di Tony_Evo
Tony_Evo
(Guru)
Offline
Guru
Iscritto: 06/06/2007
Messaggi: 1665

Quote:

Manfranco ha scritto:
Quote:
re_net ha scritto:
Niente da fare ... ho dovuto rimuovere i repo MIB disinstallare e reinstallare.

adesso ho la 2.02 funzionante.

ciao
renato

Ciao,
se vuoi riprovare ad installare la 2.1 di Amarok ti descrivo quanto ho fatto io.

Premesso che, non so per quale motivo, quando cerchi di installare Amarok direttamente dagli aggiornamenti proposti, la cosa non funziona perchè non si porta dietro alcune dipendenze, riabilita i repo Mib ed installa Amarok dal "Centro di controllo".

A installazione completata, verifica da "Installa e rimuovi software" (fai una ricerca con la stringa "amarok") che siano installati soltanto questi moduli della versione 2.1:

- Amarok
- amarok-scripts
- amarok-utils
- libamaroklib1
- libamarokpud1

Disinstalla, eventualmente, il resto (è molto probabile che troverai una libreria della versione 2.02 ancora installata).

Così funziona tutto.

franco

Quando qualcosa non va in porto è consigliabile sempre provare da urpmi,ultimamente mi è successo molto spesso che un programma si dimenticasse di portarsi dietro qualche dipendenza.dipendenza che però urpmi risolvere alla grande......diciamo che è un pò buggato...l'ultima volta è successo con XBMC.

Hp Pavillion Dv6346eu,nVidia Go 6150,2 Gb di Ram,160 Gb HD.

MIBlog - http://mib.pianetalinux.org
Forum MIB - http://mib.pianetalinux.org/forum/index.php

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Siamo sempre lì a girarci intorno, così come non vengono chieste credenziali a chi consiglia l'uso di MIB altrettanto vale per chi lo sconsiglia.

Comunque il fatto che il problema delle dipendenze di questo programma rilasciato il 04/06 non sia stato ancora risolto e che per riuscire ad installarlo necessiti di complesse procedure è innegabilmente una cosa negativa.

Capita a tutti di sbagliare certo è che in genere uno poi dovrebbe cercare di correggere i propri errori.

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di pinguinux
pinguinux
(Junior)
Offline
Junior
Iscritto: 27/05/2009
Messaggi: 42

Quote:

Moreno ha scritto:

Comunque il fatto che il problema delle dipendenze di questo programma rilasciato il 04/06 non sia stato ancora risolto e che per riuscire ad installarlo necessiti di complesse procedure è innegabilmente una cosa negativa.

a me amarok del mib si è installato con il comando urpmi --auto-select, anche se sono un newbie non mi è sembrato complesso come procedimento. è il comando per aggiornare!! e il programma fuziona benissimo.
Big Grin

@tutti
non bisogna litigare ma collaborare, è importante Wink

Ritratto di Tony_Evo
Tony_Evo
(Guru)
Offline
Guru
Iscritto: 06/06/2007
Messaggi: 1665

Quote:

Moreno ha scritto:
Ciao

Siamo sempre lì a girarci intorno, così come non vengono chieste credenziali a chi consiglia l'uso di MIB altrettanto vale per chi lo sconsiglia.

Comunque il fatto che il problema delle dipendenze di questo programma rilasciato il 04/06 non sia stato ancora risolto e che per riuscire ad installarlo necessiti di complesse procedure è innegabilmente una cosa negativa.

Capita a tutti di sbagliare certo è che in genere uno poi dovrebbe cercare di correggere i propri errori.

Ciao Ciao, Moreno

Il problema è molto strano,a molti si installa come aggiornamento liscio liscio(a me su 2 32bit e una 64bit)mentre ad altri non va....boh!
Con più feedback si può arrivare prima alla soluzione,il MIB ha fatto il pacchetto,il test interno fra noi è andato a buon fine,poi invece è stato publicato e qualche errore è uscito.....a volte ci stanno 3000 fattori imprevedibili.....l'importante è risolvere..

Hp Pavillion Dv6346eu,nVidia Go 6150,2 Gb di Ram,160 Gb HD.

MIBlog - http://mib.pianetalinux.org
Forum MIB - http://mib.pianetalinux.org/forum/index.php

Ritratto di Moreno
Moreno
(Guru)
Offline
Guru
Iscritto: 24/09/2004
Messaggi: 16862

Ciao

Concordo, l'impegno costante è il miglio indice di serietà che possa esistere.
Spero proprio che veniate a capo del problema.

P.S.
Un consiglio.
Fatevi mandare da uno a cui non si installa amarok il risultato di rpm -qa | sort > rpm.txt e fate il diff con quello di una macchina dove si è installato tutto a dovere così si potrà individuare i pacchetti che bloccano l'installazione.

Ciao Ciao, Moreno

Addio, e grazie per tutto il pesce.
Avatar by moonlight-dream.

Ritratto di re_net
re_net
(Monster)
Offline
Monster
Iscritto: 28/07/2007
Messaggi: 301

Quote:

Moreno ha scritto:

Un consiglio.
Fatevi mandare da uno a cui non si installa amarok il risultato di rpm -qa | sort > rpm.txt e fate il diff con quello di una macchina dove si è installato tutto a dovere così si potrà individuare i pacchetti che bloccano l'installazione.

Ciao Ciao, Moreno

rpm -qa | sort > rpm.txt
se qualcuno fosse interessato lo posto qui: http://renet.altervista.org/txt/rpm.html

ciao
renato

Mandriva 2010.1 FREE su HP 8510P - 2 Giga RAM - Core 2 Duo T8100 - ATI Mobility Radeon HD 2600